update profile.md
Update profile
Management API · Your Profile · Deprecated
PUT https://app.mk.io/api/profile/
This endpoint allows certain fields within the profile to be updated.
Requires authentication; no additional RBAC permissions required.
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Request body
Content type: application/json
spec· object · Required — Specification.company· string or null · Required · 0-1024 characters — Company.country· string · Required · 0-1024 characters — Country.jobrole· string or null · Required · 0-1024 characters — Job Role.name· string · Required · 1-1024 characters — Full name.phonenumber· string · Required · 0-1024 characters — Phone number including international dialling code
Example request
curl -X PUT "https://app.mk.io/api/profile/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"spec": {
"company": "string",
"country": "string",
"jobrole": "string",
"name": "string",
"phonenumber": "string"
}
}'
Responses
200 — OK
metadata· object · Required — Metadata.id· string · Required · format: uuid — The unique identifier of the user.
spec· object · Required — Specification.avatar· string · Required · <=200 characters — Avatar.company· string or null · Required · 0-1024 characters — Company.contact_email· string · Required · 1-1024 characters — Contact email addresscountry· string · Required · 0-1024 characters — Country.customer_id· string · Required — Primary customer relationship.customers· map from strings to string · Required — Customers.[any key]· string — map of additional properties
is_active· boolean · Required — Is this user active?is_admin· boolean · Required — Is this user a global administrator?jobrole· string or null · Required · 0-1024 characters — Job Role.name· string · Required · 1-1024 characters — Full name.phonenumber· string · Required · 0-1024 characters — Phone number including international dialling codesignup_problem· string or null · Required — Issues with signing up to MK.IO?
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code
401 — Unauthorized
403 — Forbidden
404 — Not Found
429 — Too Many Requests
500 — Internal Server Error
Source spec: management-api · operationId: [put]_/api/profile/